Name:           jenkins-plugins
Version:        1.3
%if 0%{?opensuse_bs}
Release:        0.dev.<CI_CNT>.<B_CNT>
%else
Release:        0
%endif
License:        MIT
Summary:        Jenkins plugins
Url:            https://otctools.jf.intel.com/pm/projects/jenkins
Group:          Development/Tools/Building
BuildArch:      noarch
Source:         %{name}-%{version}.tar.gz

%define destdir /var/lib/jenkins/plugins

%description
Jenkins plugins used in backend services for Tizen

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{destdir}
cp plugins/* %{buildroot}%{destdir}/

%pre
/usr/bin/getent group jenkins >/dev/null || /usr/sbin/groupadd -r jenkins &>/dev/null || :
/usr/bin/getent passwd jenkins >/dev/null || /usr/sbin/useradd -g jenkins -s /bin/bash -r -c "Jenkins Continuous Build server" \
    -d /var/lib/jenkins jenkins &>/dev/null || :

%post
[ -s /etc/sysconfig/jenkins ] && chown -R jenkins:jenkins %{destdir}
exit 0

%files
%defattr(-,jenkins,jenkins)
%dir /var/lib/jenkins/
%dir %{destdir}
%{destdir}/ant.jpi
%{destdir}/antisamy-markup-formatter.jpi
%{destdir}/build-blocker-plugin.jpi
%{destdir}/build-timeout.jpi
%{destdir}/cobertura.jpi
%{destdir}/copy-to-slave.jpi
%{destdir}/credentials.jpi
%{destdir}/cvs.jpi
%{destdir}/envinject.jpi
%{destdir}/extensible-choice-parameter.jpi
%{destdir}/external-monitor-job.jpi
%{destdir}/gerrit-trigger.jpi
%{destdir}/git.jpi
%{destdir}/git-client.jpi
%{destdir}/groovy-postbuild.jpi
%{destdir}/icon-shim.jpi
%{destdir}/javadoc.jpi
%{destdir}/jobConfigHistory.jpi
%{destdir}/junit.jpi
%{destdir}/ldap.jpi
%{destdir}/locks-and-latches.jpi
%{destdir}/mailer.jpi
%{destdir}/matrix-auth.jpi
%{destdir}/matrix-project.jpi
%{destdir}/maven-plugin.jpi
%{destdir}/pam-auth.jpi
%{destdir}/parameterized-trigger.jpi
%{destdir}/PrioritySorter.jpi
%{destdir}/rabbitmq-consumer.jpi
%{destdir}/rebuild.jpi
%{destdir}/scm-api.jpi
%{destdir}/script-security.jpi
%{destdir}/slave-setup.jpi
%{destdir}/ssh-agent.jpi
%{destdir}/ssh-credentials.jpi
%{destdir}/ssh-slaves.jpi
%{destdir}/structs.jpi
%{destdir}/subversion.jpi
%{destdir}/token-macro.jpi
%{destdir}/translation.jpi
%{destdir}/violations.jpi
%{destdir}/windows-slaves.jpi
%{destdir}/ws-cleanup.jpi
%changelog
